library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
  
package dati is
 subtype w16 is std_logic_vector(15 downto 0);
 subtype w32 is std_logic_vector(31 downto 0);
 constant x32 : w32 :="XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";
 constant z32 : w32 :="ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ"; 
 constant zero32 :w32 := "00000000000000000000000000000000";

 type  vect is array ( natural range <>) of std_logic;
 type vect16 is array (natural range <>) of w16;
 type vect32 is array (natural range <>) of w32;
 

end dati;
 
 

