library ieee;
use ieee.std_logic_1164.all;
use work.dati.all;

entity ESTENSIONE32 is
    port (
           a: in w16;
           a32: out w32;
           ash32: out w32
         );

end ESTENSIONE32;

architecture BEHAVIOR of ESTENSIONE32 is
begin
process(a)
begin
 a32(15 downto 0) <= a; 
 ash32(17 downto 2) <= a;
 if a(15) = '0' then 
       a32(31 downto 16) <= "0000000000000000";
       ash32(31 downto 18) <= "00000000000000";
  else a32(31 downto 16) <= "1111111111111111";
       ash32(31 downto 18) <= "11111111111111";
 end if;       
 ash32(1 downto 0) <= "00";
end process;   

end BEHAVIOR;

